#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cifs_md4_init, "_gpl", "");
KSYMTAB_FUNC(cifs_md4_update, "_gpl", "");
KSYMTAB_FUNC(cifs_md4_final, "_gpl", "");

SYMBOL_CRC(cifs_md4_init, 0x798f3830, "_gpl");
SYMBOL_CRC(cifs_md4_update, 0xdef1096d, "_gpl");
SYMBOL_CRC(cifs_md4_final, 0xceecd9e4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdcb764ad, "memset" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

